<?php
//require __DIR__."./../phpJasperXML_2.0.1/autoload.php";
require_once("./../phpJasperXML_2.0.1/autoload.php");

use simitsdk\phpjasperxml\PHPJasperXML;

$filename = __DIR__."/tituloTaco.jrxml";

// read parameters
$id_derecho_Propietario = $_SESSION['id_derecho_Propietario'] ; 	// invoice identification to obtain

// Read record
$data = array();
$rs = DB::Query("


SELECT
	dp.id_derecho_Propietario,
	LPAD( dp.id_derecho_Propietario, 4, 000 ) AS id_derecho_Propietario2,
	dp.nro_derecho,
	dp.nro_Acciones,
	dp.nro_Acciones_Literal,
	dp.nro_Titulo,
	dp.nro_Folio,
	dp.nro_Partido,
	dp.estado_titulo,
	c_a.nombre AS clase_accion,
	s_a.nombre AS serie_acciones,
	e_p.nombre AS estado_pago,
	t_a.nombre AS tipo_acciones,
	gr.nombre AS gravamen,
	c.acciones_emitidas,
	c.valor_nominal,
	c.capital_autorizado,
	c.capital_pagado,
	c.lugar_constitucion,
	c.duracion,
	c.domicilio,

  g.presidente as    presidente_constitucion,
  g.director_Secretario  as secretario_constitucion,
  g.sindico as sindico_constitucion,

	CONCAT( IFNULL(s.apellido_Paterno , ''),	' ',
		           s.apellido_Materno, ' ', 
			ifnull (	s.apellido_Casada , ''), ' ',
				   rtrim( s.nombres ),	' ',
		            'con CI: ', s.ci, ' ',
	    	       IFNULL(com.alias , '')
			) AS accionistas,
	
	CONCAT(
		dp.nro_Titulo,
		'|',
	 IFNULL(	s.apellido_Paterno, ''),
		' ',
		s.apellido_Materno,
		' ',
		s.apellido_Casada,
		' ',
		rtrim( s.nombres ),
		' ',
		'con CI: ',
		s.ci,
		' ',
		 IFNULL(com.alias, ''),
		'|',
		 IFNULL(dp.nro_Acciones , '')
	) AS qr,
  
  
  
  
	dp.fecha_Inscripcion,
	dp.fecha_Emision,
	empresa.nombre,
	empresa.nit,
	empresa.matricula_Comercio,
CASE
		MONTH ( dp.fecha_Emision ) 
		WHEN 1 THEN
		'Enero' 
		WHEN 2 THEN
		'Febrero' 
		WHEN 3 THEN
		'Marzo' 
		WHEN 4 THEN
		'Abril' 
		WHEN 5 THEN
		'Mayo' 
		WHEN 6 THEN
		'Junio' 
		WHEN 7 THEN
		'Julio' 
		WHEN 8 THEN
		'Agosto' 
		WHEN 9 THEN
		'Septiembre' 
		WHEN 10 THEN
		'Octubre' 
		WHEN 11 THEN
		'Noviembre' 
		WHEN 12 THEN
		'Diciembre' 
	END mes,
	CONCAT(
		'Sacaba,  ',
		DAY ( dp.fecha_Emision ),
		' de ',
	CASE
			MONTH ( dp.fecha_Emision ) 
			WHEN 1 THEN
			'enero' 
			WHEN 2 THEN
			'febrero' 
			WHEN 3 THEN
			'marzo' 
			WHEN 4 THEN
			'abril' 
			WHEN 5 THEN
			'mayo' 
			WHEN 6 THEN
			'junio' 
			WHEN 7 THEN
			'julio' 
			WHEN 8 THEN
			'agosto' 
			WHEN 9 THEN
			'septiembre' 
			WHEN 10 THEN
			'octubre' 
			WHEN 11 THEN
			'noviembre' 
			WHEN 12 THEN
			'diciembre' 
		END,
		' de ',
		YEAR ( dp.fecha_Emision ) 
	) AS lf 
FROM
	derecho_propietario AS dp
	LEFT JOIN socio AS s ON dp.accionista = s.id_Socio
	INNER JOIN constitucion AS c ON dp.id_constitucion = c.id_constitucion
	LEFT JOIN aux AS com ON s.ci_procedencia = com.id_aux
	INNER JOIN aux AS c_a ON dp.clase_Acciones = c_a.id_aux
	INNER JOIN aux AS s_a ON dp.serie_Acciones = s_a.id_aux
	INNER JOIN aux AS gr ON dp.gravamen = gr.id_aux
	INNER JOIN aux AS e_p ON dp.estado_Pago = e_p.id_aux
	INNER JOIN aux AS t_a ON dp.tipo_Acciones = t_a.id_aux
	INNER JOIN empresa ON c.id_Empresa = empresa.id_Empresa 
	INNER JOIN gestion as g ON dp.gestion = g.id_Gestion


	where dp.id_derecho_Propietario = $id_derecho_Propietario 
");
while( $row= $rs->fetchAssoc() )
{
$data[] = $row;
}
$config = [
    'driver'=>'array',
    'data'=> $data
];
$parameters = [];


$type = 'Pdf';
$fileOutput= '';
$creator = 'bi-softnet';
$author = 'xbi-softnet@gmail.com';
$title = 'Titulo Accionario Cara';
$keywords = 'PHP';
$format_intl = 'es_ES';

// $temp_file = tempnam(sys_get_temp_dir(), 'pdf');  // Create file temporal
// $fileOutput = $temp_file;

$report = new PHPJasperXML();
$report->load_xml_file($filename)    
    ->setParameter($parameters)
    ->setDataSource($config)
    ->export($type,$fileOutput,$title,$creator,$author,$keywords,$format_intl);

?>
